AlternativeMediaPresentationReason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Interface AlternativeMediaPresentationReason

    public interface AlternativeMediaPresentationReason

This interface represents possible reasons that lead to alternative media presentation.

Field Summary
`static int` | `BROADCAST_INCONSISTENCY` Bit indicating that broadcast information is inconsistent : for example PMT is missing.
`static int` | `CA_UNKNOWN` Bit indicating that media are ciphered and the CA does not correspond to ciphering.
`static int` | `HARDWARE_RESOURCE_NOT_AVAILABLE` Bit indicating that hardware resource necessary for presenting service components is not available.
`static int` | `NO_ENTITLEMENT` Bit indicating that service components are ciphered and the user has no entitlement to view all or part of them.
`static int` | `RATING_PROBLEM` Reason indicating that media presentation is not authorized regarding to the program rating.
`static int` | `REASON_FIRST` Marks the first bit for the range of alternative media presentation reasons.
`static int` | `REASON_LAST` Marks the last bit for the range of alternative media presentation reasons.

Field Detail

### REASON_FIRST

    static final int REASON_FIRST

  Marks the first bit for the range of alternative media presentation reasons.

  See Also:
    Constant Field Values

### NO_ENTITLEMENT

    static final int NO_ENTITLEMENT

  Bit indicating that service components are ciphered and the user has no entitlement to view all or part of them.

  See Also:
    Constant Field Values

### RATING_PROBLEM

    static final int RATING_PROBLEM

  Reason indicating that media presentation is not authorized regarding to the program rating.

  See Also:
    Constant Field Values

### CA_UNKNOWN

    static final int CA_UNKNOWN

  Bit indicating that media are ciphered and the CA does not correspond to ciphering.

  See Also:
    Constant Field Values

### BROADCAST_INCONSISTENCY

    static final int BROADCAST_INCONSISTENCY

  Bit indicating that broadcast information is inconsistent : for example PMT is missing.

  See Also:
    Constant Field Values

### HARDWARE_RESOURCE_NOT_AVAILABLE

    static final int HARDWARE_RESOURCE_NOT_AVAILABLE

  Bit indicating that hardware resource necessary for presenting service components is not available.

  See Also:
    Constant Field Values

### REASON_LAST

    static final int REASON_LAST

  Marks the last bit for the range of alternative media presentation reasons.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD